Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
lck
Posts: 1026
Joined: Wed Mar 23, 2011 11:43 am
Location: Dahoam ;)
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby lck » Thu Nov 16, 2017 7:11 pm

Imagescroller_XH Version: 1beta1

Getestet lokal mit:
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Problem: Plugin-Administrationsmenü erscheint nicht.
Lösung, admin.php Zeile 86

Code: Select all

if (!empty($imagescroller)) 

ändern zu

Code: Select all

if (function_exists('XH_wantsPluginAdministration') && XH_wantsPluginAdministration('imagescroller') || isset($imagescroller)) 

oder, funktioniert auch (? was ist „richtiger“, Christoph)

Code: Select all

if (function_exists('XH_wantsPluginAdministration') && XH_wantsPluginAdministration('imagescroller') || !empty($imagescroller)) 

Problem bei Plugin-Aufruf mit info.txt

Code: Select all

{{{PLUGIN:imagescroller('./userfiles/images/galerie1/info.txt');}}} 

NOTICE: Undefined offset: 3
D:\xampp\htdocs\cmsimplexh171_clean\plugins\imagescroller\index.php:103

Scheint wieder ein Problem zwecks "Lazy loading of plugin config and language files" zu sein (?)

Problem: Listensymbole werden zwischen den Bildern beim Scrollen angezeigt (definiert im Template-css, li:before >>)
Imagescroller-Listensymbol.jpg

QuickFix, Plugin-css ergänzen mit:

Code: Select all

.imagescroller *:before {
    content: none !important;
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

cmb
Posts: 12007
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Thu Nov 16, 2017 10:21 pm

lck wrote:Imagescroller_XH Version: 1beta1

Oh, wei, was für ein Durcheinander. Auf 3-magi.net wird tatsächlich 1beta1 angeboten, obwohl ich schon vor Jahren 1beta2 getaggt hatte – anscheinend aber nie veröffentlicht. :oops:

lck wrote:Problem: Plugin-Administrationsmenü erscheint nicht.

Hatte ich schon vor einer Weile gefixt– wird Zeit für ein neues Release. Siehe aber weiter unten.

lck wrote:was ist „richtiger“, Christoph

Eigentlich hatte ich bei vielen Plugins schon lange diese Variante genutzt (sinngemäß):

Code: Select all

isset($imagescroller) && $imagescroller == 'true' 

Wenn man aber wenigstens CMSimple_XH 1.6.3 voraussetzt (was heutzutage eigentlich kein Problem sein sollte), dann genügt:

Code: Select all

if (XH_wantsPluginAdminstration('imagescroller') 


lck wrote:Scheint wieder ein Problem zwecks "Lazy loading of plugin config and language files" zu sein (?)

Die Notice wird in dieser Zeile erzeugt, was darauf hindeutet, das etwas mit der verwendeten Datendatei nicht stimmt, oder mit der Routine, die diese einliest. (Wäre kein Wunder, bei dem bescheuerten Datenformat.)

lck wrote:Problem: Listensymbole werden zwischen den Bildern beim Scrollen angezeigt (definiert im Template-css, li:before >>)

Garstig! Vergleichbare Probleme gab es vor Jahren mal bei einem Nutzer, wo Listen noch ganz anders gestylt waren. Bevor ich versuche, da alles passend im Plugin zu stylen, wäre es besser, wenn ich (verschachtelte) <div>s statt einer Liste nehme. Bin aber nicht sicher, ob das von serialScroll unterstützt wird. Bin aber nicht mal sicher, ob serialScroll einigermaßen zukunftssicher ist – vielleicht sollte ich Imagescroller_XH zugunsten von Slideshow_XH/Flexslider etc. einstellen.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

lck
Posts: 1026
Joined: Wed Mar 23, 2011 11:43 am
Location: Dahoam ;)
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby lck » Fri Nov 17, 2017 1:35 pm

cmb wrote:Auf 3-magi.net wird tatsächlich 1beta1 angeboten, obwohl ich schon vor Jahren 1beta2 getaggt hatte – anscheinend aber nie veröffentlicht.

Installiert und getestet, Probleme sind die gleichen, wei bei 1beta1. Die Master-Version scheint ja noch unfertig zu sein, zumindest bei dem neuen Punkt "Einstellungen".
cmb wrote:

Code: Select all

if (XH_wantsPluginAdminstration('imagescroller') 

Damit erhalte ich einen HTTP ERROR 500, weil eine End-Klammer und ein i fehlt. So passt es:

Code: Select all

if (XH_wantsPluginAdministration('imagescroller')) 

cmb wrote:Vergleichbare Probleme gab es vor Jahren mal bei einem Nutzer, wo Listen noch ganz anders gestylt waren.

Solche Probleme wird es immer wieder geben, eine Universallösung fällt mir momentan auch nicht ein. Aber man kann ja im Einzelfall, das Template-css dementsprechend ergänzen.
cmb wrote:... vielleicht sollte ich Imagescroller_XH zugunsten von Slideshow_XH/Flexslider etc. einstellen.

Fände ich schade, aber anscheinend nutze nur ich das Plugin und werde es weiter tun. Es sind ja momentan nur Kleinigkeiten zu ändern und das kann der Nutzer leicht umsetzen.
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

cmb
Posts: 12007
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Fri Nov 17, 2017 5:19 pm

lck wrote:Installiert und getestet, Probleme sind die gleichen, wei bei 1beta1. Die Master-Version scheint ja noch unfertig zu sein, zumindest bei dem neuen Punkt "Einstellungen".

Ja, im master hatte ich mal angefangen, die Datenverwaltung im Backend durchführen zu können, kam aber nicht wirklich weit.

lck wrote:Fände ich schade, aber anscheinend nutze nur ich das Plugin und werde es weiter tun.

Ich wurde kürzlich von einem anderen User angeschrieben, der Imagescroller_XH ebenfalls verwendet. Ich werde es dann wohl doch nicht einstellen.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

cmb
Posts: 12007
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Fri Nov 17, 2017 5:34 pm

cmb wrote:
lck wrote:Scheint wieder ein Problem zwecks "Lazy loading of plugin config and language files" zu sein (?)

Die Notice wird in dieser Zeile erzeugt, was darauf hindeutet, das etwas mit der verwendeten Datendatei nicht stimmt, oder mit der Routine, die diese einliest. (Wäre kein Wunder, bei dem bescheuerten Datenformat.)

Siehe viewtopic.php?f=12&t=4473&start=30#p48375.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Berni
Posts: 40
Joined: Wed Feb 12, 2014 4:38 pm

Plugin Maintenance & Kompatibilität zu CMSimple_XH 1.7

Postby Berni » Fri Nov 17, 2017 7:30 pm

Das Plugin Maintenance funktioniert unter 1.7.1 NICHT / PHP 5.6.3

In der Auflistung der Plugins steht Maintenance zwar mit einem Sternchen, aber
auf beiden Seiten in denen ich das Plugin verwenden möchte funktioniert es leider nicht.

Ich kann keine Einstellungen vornehmen.

Gibt es evtl. eine alternative Möglichkeit seine Seite in den Wartungsmodus zu versetzten?

lck
Posts: 1026
Joined: Wed Mar 23, 2011 11:43 am
Location: Dahoam ;)
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby lck » Fri Nov 17, 2017 7:43 pm


Genau, das ist es! Aber man braucht die index.php gar nicht anzupassen, sondern nur die info.txt im Bilderordner richtig erstellen ;)
Für ein Bild sind ja 4 Einträge vorgesehen:
filename
URL
title
description

Will man z.B. bei URL nichts eintragen, so muss man dort ein Leerzeichen eintragen.
Will man, wie Korvell, teilweise nur den filename eintragen, so müsste man danach 3 Zeilen mit einem Leerzeichen einfügen.

Code: Select all

image01.jpg
(Leerzeichen)
title
description

image02
.jpg
(Leerzeichen)
(
Leerzeichen)
(
Leerzeichen

Das Beispiel in der Hilfe-Datei für eine info.txt ist dann auch nicht richtig und müsste geändert werden.
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

lck
Posts: 1026
Joined: Wed Mar 23, 2011 11:43 am
Location: Dahoam ;)
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby lck » Fri Nov 17, 2017 8:11 pm

Berni wrote:Das Plugin Maintenance funktioniert unter 1.7.1 NICHT / PHP 5.6.3

admin.php Zeile 18

Code: Select all

if(isset($maintenance)) 

ändern zu

Code: Select all

if (XH_wantsPluginAdministration('maintenance')) 

Das Plugin funktioniert aber nur mit PHP 5.6.3 (und ?), aber mit PHP 7.1.1 nicht mehr! Da gibt es einen ERROR 500.
Aber auch unter PHP 5.6.3 gibt es jede Mene Meldungen vom Debug-Mode:
DEPRECATED: Function eregi() is deprecated
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\index.php:20
XH-DEPRECATED: Function initvar() is deprecated
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\index.php:22
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\config\config.php:3
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\config\config.php:4
DEPRECATED: Function eregi() is deprecated
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\index.php:26
DEPRECATED: Function eregi() is deprecated
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\admin.php:16
DEPRECATED: Function eregi() is deprecated
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\admin.php:26
DEPRECATED: Function eregi() is deprecated
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\admin.php:80
NOTICE: Undefined variable: maintenance
D:\xampp\htdocs\cmsimplexh171\plugins\maintenance\admin.php:80

Nachtrag:
Berni wrote:Gibt es evtl. eine alternative Möglichkeit seine Seite in den Wartungsmodus zu versetzten?

Erstell eine einfache index.html mit etwas Text und lege sie ins Root-Verzeichnis (als Vorlage, kannst du ja maintenance.html aus dem Plugin-Ordner von maintenance verwenden). Die index.php vorher auskommentieren per vorangestellten Punkt, also umbenennen zu .index.php
Oder du erstellst eine index.php im Root-Verzeichnis mit folgendem code (evtl. noch etwas stylen per css):

Code: Select all

<?php

header
('HTTP/1.0 503 Service Unavailable');
header('Content-Type: text/html;charset=UTF-8');

?>
<!DOCTYPE html>
<html lang="de">
    <head>
        <title>Wartungsmodus</title>
    </head>
    <body>
        <p>Aufgrund von Wartungsarbeiten ist diese Website vorr&uuml;bergehend nicht
        verf&uuml;gbar.</p>
        <p>Bitte versuchen sie es sp&auml;ter noch einmal.</p>
    </body>
</html>
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

Hartmut
Posts: 462
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Fri Nov 17, 2017 8:44 pm

Hartmut wrote:
lck wrote:@Hartmut, BTW: sollte es nicht Kompatibilität statt Kompabilität heißen :?, das beträfe dann auch noch andere Stellen.

Danke für den Hinweis, denn da hat sich ein Fehler eingeschlichen der von mit zeitnah bereinigt wird.
Viele Grüße
Hartmut

Der Fehler in der CMSimple_XH Dokumentation mit dem Begriff "Kompabilität" / "Kompatibilität" ist im Content und den Seitennamen behoben (War eine ziemliche Fleißarbeit da ca. 150 Seiten betroffen waren. ).

Danke an Ick für die Meldung des Fehlers und für sein fleißiges testen der Plugins auf Kompatibilität bzgl. CMSimple_XH 1.7.x und PHP 7.x.
Seine Ergebnisse und die neuen Plugin Versionen von cmb sind in die Dokumentation eingearbeitet.

In der Änderungshistorie von "CMSimple_XH Dokumentation"habe ich testweise auch die Namen der Plugins aufgeführt bei denen sich die Dokumentation geändert hat, damit der interessierte Besucher gezielter nach Änderungen suchen kann.

Viele Grüße
Hartmut

cmb
Posts: 12007
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Fri Nov 17, 2017 10:20 pm

lck wrote:Für ein Bild sind ja 4 Einträge vorgesehen:
filename
URL
title
description

Will man z.B. bei URL nichts eintragen, so muss man dort ein Leerzeichen eintragen.
Will man, wie Korvell, teilweise nur den filename eintragen, so müsste man danach 3 Zeilen mit einem Leerzeichen einfügen.

Na ja, es war schon so gedacht, dass man spätere Einträge auch komplett weglassen kann – die Implementierung ist nur zu schlampig. Aber eigentlich egal, weil gerade die Lösung mit den Leerzeichen wirklich garstig ist – zu schnell hat man eines gelöscht, und sieht es nicht mal. Zurzeit tendiere ich dazu, statt dessen ein "Record Jar" Format zu verwenden.

lck wrote:Das Plugin funktioniert aber nur mit PHP 5.6.3 (und ?), aber mit PHP 7.1.1 nicht mehr! Da gibt es einen ERROR 500.
Aber auch unter PHP 5.6.3 gibt es jede Mene Meldungen vom Debug-Mode:

Das Hauptproblem ist die Verwendung von eregi() – das wurde unter PHP 5.3 deprecated und schließlich unter PHP 7.0 entfernt (vermutlich unterstützen aber zumindest manche Server die Funktion auch unter PHP 7 noch). Ich gehe davon aus, dass diese Funktion durch preg_match() bzw. stripos() (oder gar nichts, falls Abfragen auf boolesche Konfigurationswerte sind) ersetzt werden könnte.

lck wrote:Erstell eine einfache index.html mit etwas Text und lege sie ins Root-Verzeichnis (als Vorlage, kannst du ja maintenance.html aus dem Plugin-Ordner von maintenance verwenden). Die index.php vorher auskommentieren per vorangestellten Punkt, also umbenennen zu .index.php
Oder du erstellst eine index.php im Root-Verzeichnis mit folgendem code (evtl. noch etwas stylen per css):
[…]

Ich verwende seit kurzem folgende .htaccess:

Code: Select all

RewriteEngine On
#RewriteCond %{REMOTE_ADDR} !^111\.222\.333\.444$
RewriteRule .* 503.php [L]

Das lenkt alle Anfragen um, und wenn man die zweite Zeile auskommentiert und die eigene IP-Adresse einträgt, kann man selbst an der Site weiterarbeiten. 503.php ist dann analog zu Ludwigs index.php.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+


Return to “Deutsch”

Who is online

Users browsing this forum: No registered users and 2 guests